<template>
  <v-progress-linear
    :active="loading"
    :indeterminate="loading"
    :height="2"
    absolute
    color="accent"
  ></v-progress-linear>
</template>

<script setup lang="ts">
const loading = ref(false);
const nuxtApp = useNuxtApp();

nuxtApp.hook("page:start", () => {
  loading.value = true;
});

nuxtApp.hook("page:finish", () => {
  loading.value = false;
});
</script>
